import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/pages/weekly_routine_registration.dart';

//https://api.flutter.dev/flutter/material/Slider-class.html
//https://flutter.dev/docs/release/breaking-changes/buttons
class RoutinePlanRegistration extends StatelessWidget {
  double _currentSliderValue = 20;
  @override
  Widget build(BuildContext context) {
    return Scaffold(

      appBar: AppBar(
        textTheme: Theme.of(context).textTheme,
        title: Text("Routine Plan Registration"),
      ),
      body: SizedBox(
        child: Card(
            margin: EdgeInsets.all(8),
            child: Column(
              children: <Widget>[
                Stack(// elementos em pilha
                children: [
                    Image.asset('images/routine.png',
                        fit: BoxFit.fill, height: 300),
                    Positioned(
                      child: Center(
                          child: Text(
                        'Quantas semanas quer monitorar?',
                        textAlign: TextAlign.center,
                        style: TextStyle(fontSize: 24, color: Colors.white),
                      )),
                    ),

                  ],
                ),
                Slider(value: _currentSliderValue,
                  min: 0,
                  max: 100,
                  divisions: 4,
                  label: _currentSliderValue.round().toString(),
                  onChanged: (double value) {
                    setState(() {
                      _currentSliderValue = value;
                    });
                  },
                ),
             /*   FlatButton(
                  child: Text(
                    "Voltar",
                    style: TextStyle(fontSize: 20.0, color: Colors.teal),
                  ),
                  onPressed: () {
                    print("Clicou no Botão");
                  },
                ),*/
              ],
            )),
      ),
      floatingActionButton: FloatingActionButton(
        child: Icon(
          Icons.navigate_next,
        ),
        onPressed: () {
          Navigator.push(
              context,
              MaterialPageRoute(
                  builder: (context) => WeeklyRoutineRegistration()));
        },
      ),
    );
  }
}

void setState(Null Function() param0) {
}
