import 'package:flutter/material.dart';
import 'package:flutter/painting.dart';
import 'package:notar_e_anotar_app/styles/global_styles.dart';

class WeeklyRoutineRegistration extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          textTheme: Theme.of(context).textTheme,
          title: Text('1ª Semana'),
        ),
        backgroundColor: backgroundGrey,
        body: Column(
          mainAxisSize: MainAxisSize.max,
          children: [
            Container(
              padding: EdgeInsets.only(top: 8, bottom: 28, left: 24, right: 24),
              decoration: BoxDecoration(
                  color: Colors.white,
                  borderRadius: BorderRadiusDirectional.only(
                      bottomStart: Radius.circular(25),
                      bottomEnd: Radius.circular(25))),
              alignment: Alignment.topLeft,
              width: double.infinity,
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    'Início',
                    style: TextStyle(color: primaryAccent, fontSize: 18),
                  ),
                  Row(
                    children: [
                      Container(
                          margin: const EdgeInsets.only(top: 8),
                          height: 62,
                          width: 55,
                          decoration: BoxDecoration(
                              color: primaryAccent,
                              borderRadius: BorderRadiusDirectional.all(
                                  Radius.circular(10))))
                    ],
                  )
                ],
              ),
            )
          ],
        ));
  }
}
