import 'package:flutter/material.dart';
import 'package:notar_e_anotar_app/pages/routine_period_selection.dart';

class Onboarding extends StatefulWidget {
  Onboarding({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _OnboardingState createState() => _OnboardingState();
}

class _OnboardingState extends State<Onboarding> {
  static const customizedGreen = Color.fromRGBO(0x27, 0xA3, 0x9E, 1);

  void navigateToNextScreen() {
    Navigator.push(context,
        MaterialPageRoute(builder: (context) => RoutinePeriodSelection()));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        textTheme: Theme.of(context).textTheme,
        title: Text(widget.title),
        backgroundColor: Colors.white,
      ),
      body: Container(
        color: Colors.greenAccent,
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: navigateToNextScreen,
        child: Icon(
          Icons.navigate_next,
        ),
      ),
    );
  }
}
